Qt 5.6 | Qt 3D | C++ Classes | QViewport

Qt 5.6.3 Reference Documentation

# QViewport Class

(Qt3DRender::QViewport)

Inherits: | QFrameGraphNode

- List of all members, including inherited members

## Properties

- clearColor : QColor
- rect : QRectF

- 1 property inherited from Qt3DRender::QFrameGraphNode
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QViewport(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QViewport()
QColor | clearColor() const
QRectF | rect() const

- 2 public functions inherited from Qt3DRender::QFrameGraphNode
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setClearColor(const QColor &color)
void | setRect(const QRectF &rect)

- 1 public slot inherited from Qt3DRender::QFrameGraphNode
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | clearColorChanged(const QColor &clearColor)
void | rectChanged(const QRectF &rect)

- 1 signal inherited from Qt3DRender::QFrameGraphNode
- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

| QViewport(QViewportPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)
void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Property Documentation

### clearColor : QColor

Access functions:

QColor | clearColor() const
void | setClearColor(const QColor &color)

Notifier signal:

void | clearColorChanged(const QColor &clearColor)

### rect : QRectF

Access functions:

QRectF | rect() const
void | setRect(const QRectF &rect)

Notifier signal:

void | rectChanged(const QRectF &rect)

## Member Function Documentation

### QViewport::QViewport(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QViewport.

### `[protected]` QViewport::QViewport(QViewportPrivate &dd, Qt3DCore::QNode *parent = Q_NULLPTR)

Copy constructor.

### QViewport::~QViewport()

Destroys the instance of QViewport.

### `[protected]` void QViewport::copy(const Qt3DCore::QNode *ref)